<template>
  <div>
    <el-input v-model="text" :disabled="disabled"  @click.native="open()" suffix-icon="el-icon-arrow-down" slot="reference"
              :placeholder="placeholder"/>
    <zt-dialog ref="dialog" title="菜单项" @confirm="formSubmit" append-to-body>
      <el-form :model="dataForm" ref="dataForm">
        <zt-tree-menu-selector  ref="tree" @NodeClickEvent="getRouteName" v-model="dataForm.menuIdList" url="/sys/menu/ofUser" has-half-checked/>
      </el-form>
    </zt-dialog>
  </div>
</template>

<script>
export default {
  name: 'MenuTreeSelector',
  components: {},
  props:{
    multiple: {
      type: Boolean
    },
    disabled: {
      type: Boolean,
      default: false
    },
    id:{
      type:String,
      default:''
    }
  },
  data() {
    return {
      text:'',
      dataForm: {
        roleId: '',
        menuIdList: []
      }
    }
  },
  watch:{
    'id'(){
      this.getTaskCount()
    }
  },
   mounted() {
    this.getTaskCount()
  },
  methods: {
    // init(roleId) {
    //   this.dataForm.roleId = roleId
    // },
    async getTaskCount() {
      if(this.id){
        let res2 = await this.$http.get(`/sys/menu/${this.id}`)
        console.log(res2.data,'res2')
        //   alert(res2.data.name,'res2.data.name')
        this.text = res2.data.name
      }
    },
    // 获取信息
    open(){
        if (this.disabled) {
          // 只读
        } else {
          //this.getShipId()
          //this.dataForm = {}
         // this.text = this.stepRouterId
          this.$refs.dialog.open()
        }

    },
    getRouteName(id){
      let that = this
      that.id = id
      that.$emit('input', id)
      that.$emit('NodeEvent', id)
      that.$refs.dialog.close()
    },
    async getInfo() {
      // let res = await this.$http.get(`/sys/role/menu?roleId=${this.dataForm.roleId}`)
      // if (res.success) {
      //   this.dataForm.menuIdList = res.data
      // }
    },
    // 表单提交
    async formSubmit() {
      let res = await this.$http.post(`/sys/role/menu`, this.dataForm)
      if (res.success) {
        this.$tip.success()
        this.$refs.dialog.close()
        this.$emit('refreshDataList')
      }
    }
  }
}
</script>
